//! Generic pointer slice
#ifndef _SLICE_H
#define _SLICE_H

#include "ints.h"

typedef struct _slice {
	union {
		void* ptr;
		u8* bytes;
	};
	usize len;
} slice_t;

#define SLICE(origin, length) ((struct _slice){ .ptr = ((void*)(origin)), .len = ((usize)(length)) })

#endif /* _SLICE_H */
